<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/PTree/o.hh.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/o.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/PTree/o.hh</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line">#include &lt;cassert&gt;</span>
<a id="line2"></a><span class="lineno"> 2</span>
<a id="line3"></a><span class="lineno"> 3</span><span class="line">template &lt;typename N&gt; N *nconc(N *p, Node *q) </span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line">{</span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line">  <a href="" title="macro call">assert</a>(p);</span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line">  last(p)-&gt;set_cdr(q);</span>
<a id="line7"></a><span class="lineno"> 7</span><span class="line">  return p;</span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line">}</span>
<a id="line9"></a><span class="lineno"> 9</span>
<a id="line10"></a><span class="lineno">10</span><span class="line">Node *<a href="../../../Scopes/global.html#snoc_lNode_S_cNode_S_r" title="function snoc(Node*,Node*)">snoc</a>(Node *, Node *);</span>
<a id="line11"></a><span class="lineno">11</span><span class="line">template &lt;typename N&gt; N *<a href="../../../Scopes/global.html#snoc_lN_S_cNode_S_r" title="function template snoc(N*,Node*)">snoc</a>(N *p, Node *q)</span>
<a id="line12"></a><span class="lineno">12</span><span class="line">{</span>
<a id="line13"></a><span class="lineno">13</span><span class="line">  <span class="keyword">return</span> <a href="../../../Scopes/global.html#nconc_lN_S_cNode_S_r" title="function template nconc(N*,Node*)">nconc</a>(<a href="" title="parameter p">p</a>, cons(<a href="" title="parameter q">q</a>, <span class="literal">0</span>));</span>
<a id="line14"></a><span class="lineno">14</span><span class="line">}</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:28:04 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
